/* Custom Cart Styles */
.custom-cart-wrapper {
    padding: 40px 0;
}

.cart-row {
    display: flex;
    gap: 30px;
    margin-top: 30px;
}

.products-col {
    width: 100%;
}

.summary-col {
    max-width: 350px;
    width: 100%;
}

.summary-col .card {
    position: sticky;
    top: 85px;
}

.card {
    padding: 25px;
    background: linear-gradient(140deg, #1a1a1a 0%, rgb(13, 13, 13) 100%);
    border-radius: 16px;
    border: 1px solid rgb(38, 38, 38);
    box-shadow: 0px 5px 10px 4px rgb(161 161 161 / 17%);
}

.cart-title {
    margin-bottom: 30px;
    font-size: 24px;
    font-weight: 600;
}

.empty-cart-message {
    padding: 30px;
    text-align: center;
    border-radius: 5px;
}

.empty-cart-message p {
    margin-bottom: 20px;
    font-size: 16px;
}

.empty-cart-message a {
    border-radius: 20px;
    font-size: 16px;
    border: none;
    color: black;
    background: white;
    padding: 7px 20px;
    color: var(--main-bg-mockup-section);
    font-weight: 600;
    display: inline-block;
    text-decoration: none;
}

.custom-cart-table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 30px;
}

.custom-cart-table th {
    padding: 12px;
    font-weight: 600;
    text-align: left;
    border-bottom: 2px solid #606060;
}

.custom-cart-table td {
    padding: 15px 12px;
    border-bottom: 1px solid #606060;
    vertical-align: middle;
}

.custom-cart-item .product-thumbnail img {
    width: 80px;
    height: auto;
}

.custom-cart-item .product-name span {
    overflow: hidden;
    max-width: 51ch;
    /* white-space: nowrap; */
    display: inline-block;
    text-overflow: ellipsis;
    color: #fff;
    text-decoration: none;
}

.custom-cart-item .product-name a:hover {
    text-decoration: underline;
}

.custom-cart-item .product-name > div {
    display: none;
}

.custom-cart-item .product-price,
.custom-cart-item .product-subtotal {
    font-weight: 500;
}

.custom-cart-item .product-quantity .quantity {
    display: flex;
    align-items: center;
}

.screen-reader-text {
    display: none;
}

.custom-cart-item .product-quantity input {
    width: 60px;
    height: 40px;
    text-align: center;
    border-radius: 4px;
    box-shadow: inset 3px 2px 4px #000;
    transition: box-shadow .2s, border-color .2s .1s;
}

.custom-cart-item .product-quantity input:focus {
    box-shadow: unset;
    border-color: lightgray;
    outline: none;
}

.custom-cart-item .product-remove a {
    display: block;
    font-size: 20px;
    color: #999;
    text-decoration: none;
}

.custom-cart-item .product-remove a:hover {
    color: #cc0000;
}

.actions {
    padding: 20px 0;
    display: flex;
    justify-content: space-between;
    align-items: end;
    flex-wrap: wrap;
}

.coupon-box {
    display: flex;
    align-items: center;
    gap: 2px;
}

.woocommerce-remove-coupon {
    color: #cc0000;
    font-size: 25px;
    line-height: 1;
    text-decoration: none;
}

.coupon {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.coupon label {
    margin-right: 10px;
}

.coupon input {
    width: calc(100% - 112px);
    height: 40px;
    padding: 0 10px;
    border-radius: 4px;
    margin-right: 10px;
    box-shadow: inset 3px 2px 4px #000;
    transition: box-shadow .2s, border-color .2s .1s;
}

.coupon input:focus {
    box-shadow: unset;
    border-color: lightgray;
    outline: none;
}

button.button {
    padding: 10px 20px;
    background-color: #fff;
    color: #000000;
    border: none;
    border-radius: 99px;
    cursor: pointer;
    font-weight: 600;
}

.cart-totals-wrapper h2 {
    margin-bottom: 20px;
    font-size: 20px;
    font-weight: 600;
}

.cart-totals {
    margin-bottom: 25px;
}

.cart-totals > div {
    display: flex;
    justify-content: space-between;
    padding: 12px 0;
    border-bottom: 1px solid #606060;
}

.cart-totals .order-total {
    border-bottom: none;
    padding-top: 20px;
    font-size: 18px;
    font-weight: 600;
}

.cart-total .amount:not(.woocommerce-Price-amount) {
    display: flex;
    flex-direction: column;
    align-items: end;
}


.wc-proceed-to-checkout .checkout-button {
    display: block;
    width: 100%;
    padding: 15px;
    background-color: #fff;
    color: #000;
    text-align: center;
    border-radius: 99px;
    font-weight: 600;
    text-decoration: none;
    transition: all 0.3s ease;
    transition: box-shadow .3s, transform .3s;
}

.wc-proceed-to-checkout .checkout-button:hover {
    box-shadow: 0px 7px 5px #202020;
	transform: translate(0, -5px);
}

.price-breakdown {
    text-align: right;
    font-size: 14px;
}

.price-net {
    color: #d9d9d9;
}

.price-gross {
    font-weight: bold;
    color: #ddd;
}

@media screen and (max-width: 1500px) {
    .custom-cart-item .product-name span{
        width: calc(100vw - 900px);
    }
}

@media screen and (max-width: 1040px) {
    .cart-row {
        flex-direction: column;
    }

    .summary-col {
        max-width: unset;
    }

    .summary-col .card {
        position: static;
    }

    .custom-cart-item .product-name span {
        max-width: 30ch;
        width: 100%;
    }
}

/* Responsive styles */
@media screen and (max-width: 768px) {
    .actions > .button {
        width: 100%;
    }
    
    .actions {
        flex-direction: column;
        gap: 15px;
    }
    
    .coupon {
        width: 100%;
        margin-bottom: 15px;
    }
}